Subject: Re: bug#37730: [PATCH] Topologically sort recursively-imported packages

From: Ricardo Wurmus <[email-masked]>
Date: Thu, 12 Dec 2019 16:15:01 +0100

Ludovic Courtès <[email-masked]> writes:

> Hi Brian,
>
> Brian Leung <[email-masked]> skribis:
>
>>> If that’s fine with you, I’d be willing to apply this patch, and then
>>> apply other bits of your patch (the tests and stream removal) on top of
>>> it.  How does that sound?
>>
>> Sure, your patch seems clearer to me.
>
> I pushed patches that combine mine and yours:
>
>   4982de4c32 import: crate: Add recursive import test.
>   70a8e13277 import: utils: 'recursive-import' returns a list rather than a stream.
>   ddd5915900 import: utils: 'recursive-import' returns packages in topological order.

Thank you!

> Let me know if you notice anything wrong!

I believe the docstring of RECURSIVE-IMPORT in (guix import utils) needs
to be adjusted.  It still refers to streams.

-- 
Ricardo